Bug 961882 - [abrt] system-config-printer-1.4.1-1.fc19: cupshelpers.py:614:__cmp__:UnicodeDecodeError: 'ascii' codec can't decode byte 0xd0 in position 0: ordinal not in range(128)
[abrt] system-config-printer-1.4.1-1.fc19: cupshelpers.py:614:__cmp__:Unicode...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: system-config-printer (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
abrt_hash:a1bb45bf4e71fb7087687b1a504...
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-10 11:51 EDT by Igor Gnatenko
Modified: 2013-05-26 23:18 EDT (History)
3 users (show)

See Also:
Fixed In Version: system-config-printer-1.4.1-3.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-26 23:18:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.65 KB, text/plain)
2013-05-10 11:51 EDT, Igor Gnatenko
no flags Details
File: core_backtrace (1.10 KB, text/plain)
2013-05-10 11:51 EDT, Igor Gnatenko
no flags Details
File: dso_list (78 bytes, text/plain)
2013-05-10 11:51 EDT, Igor Gnatenko
no flags Details
File: environ (3.16 KB, text/plain)
2013-05-10 11:51 EDT, Igor Gnatenko
no flags Details

  None (edit)
Description Igor Gnatenko 2013-05-10 11:51:24 EDT
Description of problem:
1. Open system-config-printer
2. Open add new printer
3. Click to ... firewall
I use LANG=ru_RU.UTF-8

Version-Release number of selected component:
system-config-printer-1.4.1-1.fc19

Additional info:
cmdline:        /usr/bin/python /usr/share/system-config-printer/system-config-printer.py
executable:     /usr/share/system-config-printer/system-config-printer.py
kernel:         3.9.0-301.fc19.B.x86_64
runlevel:       N 5
uid:            1000
ureports_counter: 1

Truncated backtrace:
cupshelpers.py:614:__cmp__:UnicodeDecodeError: 'ascii' codec can't decode byte 0xd0 in position 0: ordinal not in range(128)

Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/dbus/connection.py", line 604, in msg_reply_handler
    reply_handler(*message.get_args_list(**get_args_opts))
  File "/usr/share/system-config-printer/asyncpk1.py", line 115, in _pk_reply_handler
    self._client_reply_handler (self._conn, self._unpack_fn (*args))
  File "/usr/share/system-config-printer/asyncconn.py", line 91, in reply_handler
    self._reply_handler (self, self._reply_data, *args)
  File "/usr/share/system-config-printer/asyncconn.py", line 209, in _subst_reply_handler
    reply_handler (self, *args)
  File "/usr/lib/python2.7/site-packages/cupshelpers/cupshelpers.py", line 637, in _reply_handler
    self._client_reply_handler (connection, devices)
  File "/usr/share/system-config-printer/newprinter.py", line 1660, in <lambda>
    current_uri))
  File "/usr/share/system-config-printer/newprinter.py", line 1690, in local_devices_reply
    self.add_devices (result, current_uri)
  File "/usr/share/system-config-printer/newprinter.py", line 2050, in add_devices
    self.devices.sort()
  File "/usr/share/system-config-printer/PhysicalDevice.py", line 230, in __cmp__
    return cmp (self.devices[0], other.devices[0])
  File "/usr/lib/python2.7/site-packages/cupshelpers/cupshelpers.py", line 614, in __cmp__
    other.info.encode ('utf-8'))
UnicodeDecodeError: 'ascii' codec can't decode byte 0xd0 in position 0: ordinal not in range(128)

Local variables in innermost frame:
self: <cupshelpers.Device "ipps">
other: <cupshelpers.Device "">
result: 0
Comment 1 Igor Gnatenko 2013-05-10 11:51:27 EDT
Created attachment 746215 [details]
File: backtrace
Comment 2 Igor Gnatenko 2013-05-10 11:51:29 EDT
Created attachment 746216 [details]
File: core_backtrace
Comment 3 Igor Gnatenko 2013-05-10 11:51:32 EDT
Created attachment 746217 [details]
File: dso_list
Comment 4 Igor Gnatenko 2013-05-10 11:51:35 EDT
Created attachment 746218 [details]
File: environ
Comment 5 Igor Gnatenko 2013-05-15 18:31:49 EDT
Fresh install from Beta TC4
Not reproduce.
Comment 6 Tim Waugh 2013-05-21 10:17:52 EDT
I can reproduce this using the steps in bug #957444 comment #9 but with LC_ALL=ru_RU.UTF-8.  Fixed upstream in commit d60852b.
Comment 7 Tim Waugh 2013-05-21 10:44:01 EDT
Sorry, that should be commit ec19281.
Comment 8 Fedora Update System 2013-05-22 04:32:31 EDT
system-config-printer-1.4.1-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/system-config-printer-1.4.1-3.fc19
Comment 9 Fedora Update System 2013-05-22 18:35:25 EDT
Package system-config-printer-1.4.1-3.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing system-config-printer-1.4.1-3.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-8818/system-config-printer-1.4.1-3.fc19
then log in and leave karma (feedback).
Comment 10 Fedora Update System 2013-05-26 23:18:53 EDT
system-config-printer-1.4.1-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.